bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#8562: Emacs 23.1 and later don't work in windows 98


From: oslsachem
Subject: bug#8562: Emacs 23.1 and later don't work in windows 98
Date: Thu, 27 Oct 2011 00:46:01 +0200

Sorry for the late reply, I haven't checked this email address for weeks.

> Please find below a patch that should let Emacs work correctly on
> Windows 9X systems that have UNICOWS.DLL installed.

http://www.speedyshare.com/files/30942248/EmacsWithUnicowsWindow.png

http://www.speedyshare.com/files/30942249/EmacsWithUnicowsGDB.txt

> If UNICOWS.DLL is
> not installed, Emacs should pop up an error dialog to that effect, and
> refuse to start up.

http://www.speedyshare.com/files/30942250/EmacsWithoutUnicowsErrorWindow.png

http://www.speedyshare.com/files/30942251/EmacsWithoutUnicowsGDB.txt

>  "emacs -nw" should be possible even if that DLL
> is not available.

http://www.speedyshare.com/files/30942252/EmacsNWWithoutUnicowsWindow.png

http://www.speedyshare.com/files/30942253/EmacsNWWithoutUnicowsGDB.txt

> Please give this a try, both with and without UNICOWS.DLL available,
> and see if the results are good.

As far as I can tell, the patched Emacs works perfectly when using
emacs.exe (and runemacs.exe with unicows.dll).

However, when using runemacs.exe without unicows.dll, the program
doesn't show the error dialog window or the application window and the
process stays hidden in the background instead of exiting gracefully.

> It is best to try this in the current development code, or with the
> emacs-24.0.90 pretest (which you can find on alpha.gnu.org).

"This is GNU Emacs 24.0.90.1 (i386-mingw-windows98.2222) [...]"

Greetings,
    Osl





reply via email to

[Prev in Thread] Current Thread [Next in Thread]